summaryrefslogtreecommitdiffstats
path: root/source/a/libcgroup
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/libcgroup')
-rwxr-xr-xsource/a/libcgroup/libcgroup.SlackBuild33
-rw-r--r--source/a/libcgroup/libcgroup.init.diff10
-rw-r--r--source/a/libcgroup/slack-desc10
3 files changed, 34 insertions, 19 deletions
diff --git a/source/a/libcgroup/libcgroup.SlackBuild b/source/a/libcgroup/libcgroup.SlackBuild
index b15b91ecc..d059f378f 100755
--- a/source/a/libcgroup/libcgroup.SlackBuild
+++ b/source/a/libcgroup/libcgroup.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2011, 2014 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011, 2014, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,25 +20,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcgroup
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -61,7 +69,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
+cd $PKGNAM-$VERSION || exit 1
# Remove Red Hat / LSB init-scriptisms:
zcat $CWD/libcgroup.init.diff.gz | patch -p1 --verbose || exit 1
@@ -86,15 +94,22 @@ CFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--disable-pam \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# If this directory is empty, do not include it in the package:
rmdir $PKG/usr/lib${LIBDIRSUFFIX}/security 2> /dev/null
+# cgexec doesn't need to be setuid root -- setgid cgred is sufficient:
+chown root:cgred $PKG/usr/bin/cgexec
+chmod 2755 $PKG/usr/bin/cgexec
+
# Install init scripts:
mkdir -p $PKG/etc/rc.d
cp -a scripts/init.d/cgconfig $PKG/etc/rc.d/rc.cgconfig.new
diff --git a/source/a/libcgroup/libcgroup.init.diff b/source/a/libcgroup/libcgroup.init.diff
index c3f110ed6..1d1be2cc0 100644
--- a/source/a/libcgroup/libcgroup.init.diff
+++ b/source/a/libcgroup/libcgroup.init.diff
@@ -1,5 +1,5 @@
--- ./scripts/init.d/cgred.in.orig 2014-01-13 08:05:56.000000000 -0600
-+++ ./scripts/init.d/cgred.in 2014-08-25 14:38:35.588193215 -0500
++++ ./scripts/init.d/cgred.in 2017-02-28 12:41:11.307424565 -0600
@@ -39,13 +39,12 @@
# Sanity checks
[ -x $CGRED_BIN ] || exit 1
@@ -12,8 +12,8 @@
# Read in configuration options.
-if [ -f "/etc/sysconfig/cgred.conf" ] ; then
- . /etc/sysconfig/cgred.conf
-+if [ -f $CGRED_CONF ] ; then
-+ . $CGRED_CONF
++if [ -f /etc/cgred.conf ] ; then
++ . /etc/cgred.conf
OPTIONS="$NODAEMON $LOG"
if [ -n "$LOG_FILE" ]; then
OPTIONS="$OPTIONS --logfile=$LOG_FILE"
@@ -63,7 +63,7 @@
;;
*)
--- ./scripts/init.d/cgconfig.in.orig 2014-01-13 08:05:56.000000000 -0600
-+++ ./scripts/init.d/cgconfig.in 2014-08-25 14:38:38.291193382 -0500
++++ ./scripts/init.d/cgconfig.in 2017-02-28 12:42:13.278423245 -0600
@@ -36,11 +36,6 @@
servicename=cgconfig
lockfile=/var/lock/subsys/$servicename
@@ -127,7 +127,7 @@
stop() {
echo -n "Stopping cgconfig service: "
- cgclear
-+ /usr/sbin/cgclear
++ /usr/sbin/cgclear -l /etc/cgconfig.conf
rm -f "$lockfile"
- log_success_msg
+ #log_success_msg
diff --git a/source/a/libcgroup/slack-desc b/source/a/libcgroup/slack-desc
index 30a43ebed..12d064cf3 100644
--- a/source/a/libcgroup/slack-desc
+++ b/source/a/libcgroup/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler-------------------------------------------------------|
@@ -10,10 +10,10 @@ libcgroup: libcgroup (library and utilities for kernel control groups)
libcgroup:
libcgroup: Control Groups provide a mechanism for aggregating/partitioning sets of
libcgroup: tasks, and all their future children, into hierarchical groups with
-libcgroup: specialized behaviour. It makes use of a filesystem interface.
+libcgroup: specialized behaviour. It makes use of a filesystem interface.
libcgroup: This package contains a library for developing applications that use
libcgroup: control groups, as well as some basic userspace tools for controlling
libcgroup: and monitoring control groups.
libcgroup:
-libcgroup: Homepage: http://libcg.sourceforge.net/
+libcgroup: Homepage: http://libcg.sourceforge.net/
libcgroup: